#!/usr/bin/env bash

set -eou pipefail

cd -- "$( dirname -- "${BASH_SOURCE[0]}" )"
for extkind in cfg combined dt; do
  gvpack -u test-output/*.$extkind.dot > test-output/all.$extkind.dot
  dot -Tpdf test-output/all.$extkind.dot > test-output/all.$extkind.pdf
done