package ch.usi.inf.sp.cfg.builder;

import org.objectweb.asm.tree.AbstractInsnNode;
import org.objectweb.asm.tree.LabelNode;

public interface SwitchInstructionNodeInfo {
    AbstractInsnNode getNode();
    int getCaseCount();
    LabelNode getLabelForCase(int index);
    String getKeyForCase(int index);

    LabelNode getDefaultCase();
}
